import httputils from '@/api/scan/httpUtil'
import { Message } from 'element-ui';
import axios from 'axios'
const modelapi = '/revit-algorithm';

// 导出模型问题报告
// export function exportReport(params, success) {
//     httputils.postJson(`${baseUrl}/report/non-blocking`, params, success)
// }

// 查询楼层列表
export function queryFloorList(params, success) {
    return httputils.postJson(`${modelapi}/model-floor/query-list`, params, success)
}

// 获取项目下所有模型文件夹
export function queryModel(params, success) {
    return httputils.postJson(`${modelapi}/model-folder/query`, params, success)
}

// 查询文件夹下的所有楼层
export function queryReportList(params, success) {
    return httputils.postJson(`${modelapi}/report/list/non-blocking`, params, success)
}

// 查询文件夹下的所有楼层（包含缺失楼层）
export function queryLostReportList(params, success) {
    return httputils.postJson(`${modelapi}/model-floor/query-list-missing`, params, success)
}

// 查询信息点映射
export function queryInfoMap(params, success) {
    return httputils.postJson(`${modelapi}/infoPointComp/query`, params, success)
}

// 查询管道映射
export function queryPipeMap(params, success) {
    return httputils.postJson(`${modelapi}/pdComp/query`, params, success)
}

// 查询项目识别规则配置
export function queryProjectRule(params, success) {
    return httputils.postJson(`${modelapi}/project/query`, params, success)
}